<?php
require'../config.php';
$align='left';
$title='Антиреклама в Комнатах!';
head();
aut();
levels(9);
who_add(0,'enter');
?>
<font color="red"><b>C данным фильтром будте придельно аккуратны.</b></font><br />
Добавляйте полные адреса рекламы без http://<br />
Пример работы фильтра рекламы <b>vipvi</b>: <br />
<b>Всем привет заходите в мой чат v i-p/v i_r.u !</b><br />
Фильтр отправить это сообщение в игнор так как фильтр игнорирует символы и пробелы!<br />
Добавлять можно и русс и англ шаблоны релкамы.<br />
фильтры типа <b>4ат</b> или <b>4at</b> будут удаляться так как они угроза для нормальных сообщений<br />
<?php
if ($ver=='xhtml')echo '<form method="POST" action="antireklama?'.SID.'" name="auth">';
echo 'Фильтр:(Max 45)<br/>
<input name="filtr" maxlength="45" title="filtr"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Проверить<go href="antireklama?'.SID.'" method="POST">
<postfield name="filtr" value="$filtr"/>
</go></anchor><br/><br />';
}else{
echo '<input type="submit" class="ibutton" value="Добавить фильтр" name="enter"/></form><br/><br />';
}
if(isset($_POST['filtr']))
{ 
	$filtr = preg_replace( '/[^a-zа-яё0-9]+/iu' , '' , $_POST['filtr'] );
	if ($db->sql_query ("INSERT INTO `antireklama` (filtr_text,filtr_who) VALUES ('".$filtr."','".$user['id']."')")){header ('Location: antireklama?'.SID); exit;
	}else echo 'Ошибка!<br />';
}
if(isset($_GET['del']))
{
	if ($db->sql_query("DELETE FROM `antireklama` WHERE `id` = '".intval($_GET['del'])."'")){header ('Location: antireklama?'.SID); exit;
	}else echo 'Ошибка!<br />';
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `antireklama` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список фильтр слов!<br />';
$r = $db->sql_query ("SELECT * FROM `antireklama` ORDER BY `id` DESC LIMIT $start, $max");
if ($k_post == 0)echo 'Фильтров нет<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
//echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;

echo 'Фильтр: <b>'.$a['filtr_text'].'</b> Добавил: '.user($a['filtr_who']).' <a href="antireklama?del='.$a['id'].'">[X]</a><br />';
///echo text($a[msg]);

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('antireklama?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

echo '<br/>';
echo gb.'<a href="/admin/">Админка</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>